Bug 18670 - write from util-linux uses TZ environment variable for timestamp
Summary: write from util-linux uses TZ environment variable for timestamp
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-09 03:22 UTC by Tim
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 03:24:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim 2000-10-09 03:22:47 UTC
write prefixes messages with the name of the writing user, their terminal 
name and the current time according to the writer's TZ environment 
variable. It does not include the time zone in the time stamp, so the 
timestamp is pretty useless. Recommendation is to putenv ("TZ=UTC0") 
before writing the timestamp or to tell the user being written to what the 
time zone is (making sure there are no control characters in the string).

Comment 1 Erik Troan 2001-02-08 03:24:42 UTC
Write has worked this way forever -- I'm not going to change it for only Red
Hat. If you'd like to see this happen, I suggest you contact the util-linux
maintainers.


Note You need to log in before you can comment on or make changes to this bug.